=== modified file 'NEWS'
--- NEWS	2008-02-28 04:50:17 +0000
+++ NEWS	2008-02-29 03:46:27 +0000
@@ -23,9 +23,9 @@
     - Much dead code was removed.
 
     - Loggerhead now computes the files changed between revisions only
-      when it needs to know this, which is a fairly expensive
-      operation in Bazaar.  This massively improves performance and
-      memory usage in some situations.
+      when it needs to know this.  This is a fairly expensive
+      operation in Bazaar, and doing it less massively improves
+      performance and memory usage in some situations.
 
     - Loggerhead now takes a read lock on the branch being viewed for
       the duration of each request, which improves performance
@@ -38,12 +38,27 @@
     - The creation of History objects is much faster for large
       branches (Aaron Bentley).
 
+    - Allow the construction of URLs using revnos and file paths as
+      well as revids and fileids (bug #98826):
+
+      - For changes pages, append the newest revno to display to the
+        URL, like http://.../changes/<revno>
+
+      - For annotate pages, append the revno to display to the URL,
+        followed by the path, like http://.../annotate/<revno>/<path>
+
+      - For file listing and revision pages append the revno to
+        display to the URL, like http://.../files/<revno>
+
+      Loggerhead still generates URLs using revision and file ids for
+      the moment.
+
     - Many bugs were fixed:
 
       - Loggerhead does not escape special characters when embedding a
         revision ID in a URL (bug #88286)
 
-      - Improved robustness ines the face of ghosts.
+      - Improved robustness in the face of ghosts.
 
       - Don't crash on displaying a commit with an empty message (bug
         #86247)
@@ -57,9 +72,6 @@
       - Loggerhead atom feeds expose internal hostname (James
         Henstridge, bug #93585)
 
-      - Allow the construction of URLs using revnos and file paths as
-        well as revids and fileids (bug #98826)
-
       - loggerhead don't like page break character (0x0C) in text
         files (bug #113313)
 

=== modified file 'README.txt'
--- README.txt	2008-02-28 04:30:10 +0000
+++ README.txt	2008-02-29 03:46:27 +0000
@@ -1,9 +1,9 @@
 LOGGERHEAD
 ==========
 
-[ version 1.2 for bazaar 1.2 ]
+[ Version 1.2 for Bazaar 1.2 ]
 
-Loggerhead is a web viewer for bazaar branches.  It can be used to
+Loggerhead is a web viewer for Bazaar branches.  It can be used to
 navigate a branch history, annotate files, perform searches... all the
 usual things.
 
@@ -47,8 +47,8 @@
     - a cache of files changed in a revision
     - a text searching cache
 
-You can put the cache folder anywhere, but I find that a folder under
-the branch's .bzr/ folder is the simplest place.
+You can put the cache folder anywhere.  A folder under the branch's
+.bzr/ folder is a convenient place.
 
 The revision data cache and text searching cache will be automatically
 filled once loggerhead starts up.  The caches for a branch with 15,000
@@ -56,8 +56,8 @@
 mileage may vary.  Once they are built, they update every six hours or
 so but usually finish quickly (or instantly) after the initial creation.
 
-You may update the bazaar branch at any time (for example, from a cron).
-Loggerhead will notice and refresh, and bazaar uses its own branch
+You may update the Bazaar branch at any time (for example, from a cron).
+Loggerhead will notice and refresh, and Bazaar uses its own branch
 locking to prevent corruption.
 
 

